define({"304":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_new.htm",a:"The constructor for a LuaDocument object (creates a new LuaDocument object that only contains a reference). Syntax LuaDocument:new( reference ) Arguments Argument Description reference (string) The reference to assign to the new document. Returns (LuaDocument). The new LuaDocument object. Example ...",t:"LuaDocument:new"},"305":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_removeSection.htm",a:"The removeSection method removes a section from a document. Syntax removeSection( sectionNumber ) Arguments Argument Description sectionNumber (number) A zero-based index that specifies the section to remove. For example, to remove the second section, set this argument to  1. Returns Nothing. ...",t:"removeSection"},"306":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_renameField.htm",a:"The renameField method changes the name of a field. Syntax renameField( currentname, newname [, case]) Arguments Argument Description currentname (string) The name of the field to rename. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the currentname ...",t:"renameField"},"307":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_setContent.htm",a:"The setContent method sets the content (the value of the DRECONTENT field) for a document or document section. Syntax setContent( content [, number] ) Arguments Argument Description content (string) The content to set for the document or document section. number (number) The document section to ...",t:"setContent"},"308":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_setFieldValue.htm",a:"The setFieldValue method sets the value of a field in a document. If the field does not exist, it is created. If the field already exists, the existing value is overwritten. Syntax setFieldValue( fieldname, newvalue ) Arguments Argument Description fieldname (string) The name of the field to set. ...",t:"setFieldValue"},"309":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_setReference.htm",a:"setReference The setReference method sets the reference (the value of the DREREFERENCE document field) to the string passed in. Syntax setReference( reference ) Arguments Argument Description reference (string) The reference to set.",t:"setReference"},"310":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_to_IDX.htm",a:"to_idx The to_idx method returns a string containing the document in IDX format. Syntax to_idx() Returns (String). Returns the document as a string.",t:"to_idx"},"311":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_to_JSON.htm",a:"to_json The to_json method returns a string containing the document in JSON format. Syntax to_json() Returns (String). Returns the document as a string.",t:"to_json"},"312":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_to_XML.htm",a:"to_xml The to_xml method returns a string containing the document in XML format. Syntax to_xml() Returns (String). Returns the document as a string.",t:"to_xml"},"313":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_writeStubIdx.htm",a:"The writeStubIdx method writes out a stub IDX document (a metadata file used by IDOL applications). The file is created in the current folder, but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubIdx( filename ) Arguments Argument ...",t:"writeStubIdx"},"314":{i:0.000616512185393726,u:"../Content/Lua/LuaDocument/_LUA_writeStubXml.htm",a:"The writeStubXml method writes out an XML file containing the metadata for the document. The file is created in the current folder but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubXml( filename ) Arguments Argument Description filename ...",t:"writeStubXml"},"315":{i:0.000590520264906306,u:"../Content/Lua/LuaField/_LUA_LuaField_Methods.htm",a:"This section describes the methods provided by LuaField objects. A LuaField represents a single field in a document. You can retrieve LuaField objects for a document using the LuaDocument getField and getFields methods. In its simplest form a field has just a name and a value, but it can also ...",t:"LuaField Methods"},"316":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_addField.htm",a:"addField The addField method adds a sub field with the specified name and value. Syntax addField( fieldname, fieldvalue ) Arguments Argument Description fieldname (string) The name of the field. fieldvalue (string) The value of the field.",t:"addField"},"317":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_copyField.htm",a:"The copyField method copies a sub field to another sub field. If the target sub field exists it is overwritten. Syntax copyField ( from, to [, case]) Arguments Argument Description from (string) The name of the field to copy. to (string) The name of the field to copy to. case (boolean) A boolean ...",t:"copyField"},"318":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_copyFieldNoOverwrite.htm",a:"The copyFieldNoOverwrite method copies the sub field to another sub field but does not overwrite the destination. After this operation the destination field contains all the values of the source field as well as any values it already had. Syntax copyFieldNoOverwrite( from, to [, case]) Arguments ...",t:"copyFieldNoOverwrite"},"319":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_countField.htm",a:"The countField method returns the number of sub fields that exist with the specified name. Syntax countField ( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The ...",t:"countField"},"320":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_deleteAttribute.htm",a:"deleteAttribute The deleteAttribute method deletes the specified field attribute. Syntax deleteAttribute( name ) Arguments Argument Description name (string) The name of the attribute to delete.",t:"deleteAttribute"},"321":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_deleteField.htm",a:"The deleteField method deletes the sub field with the specified name. Syntax deleteField( name [, case] )  deleteField( name , value [, case] )  Arguments Argument Description name (string) The name of the sub field to delete. value (string) The value of the sub field. If this is specified a field ...",t:"deleteField"},"322":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_deleteFieldByPath.htm",a:"deleteFieldByPath The deleteFieldByPath method removes the sub field(s) with the specified path. Syntax deleteFieldByPath( path ) Arguments Argument Description path (string) The path of the sub-field(s) to delete. Example myField:deleteFieldByPath(\"path/to/subfield\")",t:"deleteFieldByPath"},"323":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getAttributeValue.htm",a:"getAttributeValue The getAttributeValue method gets the value of the specified attribute. Syntax getAttributeValue( name ) Arguments Argument Description name (string) The name of the attribute. Returns (String). The attribute value.",t:"getAttributeValue"},"324":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getField.htm",a:"The getField method returns the specified sub field. Syntax getField ( name [, case]) Arguments Argument Description name (string) The name of the field to return. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case sensitive by default (true). ...",t:"getField"},"325":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getFieldNames.htm",a:"The getFieldNames method returns the names of the sub fields in the LuaField object. Syntax getFieldNames() Returns (Strings). The names of the sub fields. The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: fieldnames = { ...",t:"getFieldNames"},"326":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getFields.htm",a:"The getFields method returns all of the sub fields specified by the name argument. Syntax getFields( name [, case] ) Arguments Argument Description name (string) The name of the fields. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case ...",t:"getFields"},"327":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getFieldsByRegex.htm",a:"The getFieldsByRegex method returns all sub fields where the sub field name or path (relative to this field) matches a regular expression. Syntax getFieldsByRegex( regex [, recursive [, matchFullPath [, caseSensitive ]]]) Arguments Argument Description regex (string) The regular expression to match ...",t:"getFieldsByRegex"},"328":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getFieldValues.htm",a:"The getFieldValues method returns the values of all of the sub fields with the specified name. Syntax getFieldValues( fieldname [, case] ) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case ...",t:"getFieldValues"},"329":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_getValueByPath.htm",a:"The getValueByPath method gets the value of a sub-field, specified by path.   If you pass this method the path of a sub-field that has multiple values, only the first value is returned. To return all of the values from a multi-value sub-field, see  getValuesByPath . Syntax getValueByPath( path ) ...",t:"getValueByPath"},"330":{i:0.00112960817195032,u:"../Content/Lua/LuaField/_LUA_getValuesByPath.htm",a:"The getValuesByPath method gets the values of a sub-field, specified by path.   Syntax getValuesByPath( path ) Arguments Argument Description path (string) The path of the sub-field. Returns (Strings). Strings that contain the values. To map the return values to a table, surround the function call ...",t:"getValuesByPath"},"331":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_hasAttribute.htm",a:"hasAttribute The hasAttribute method returns a Boolean indicating whether the field has the specified attribute. Syntax hasAttribute( name ) Arguments Argument Description name (string) The name of the attribute. Returns (Boolean). A Boolean specifying if the field has the specified attribute.",t:"hasAttribute"},"332":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_hasField.htm",a:"The hasField method returns a Boolean specifying if the sub field exists. Syntax hasField( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The argument is case ...",t:"hasField"},"333":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_insertJson.htm",a:"The insertJson method inserts metadata from a JSON string, LuaJsonObject, or LuaJsonArray, into the field. Syntax insertJson ( json [, fieldName] ) Arguments Argument Description json (string or  LuaJsonArray  or  LuaJsonObject ) The JSON to insert into the field. fieldName (string) The name of a ...",t:"insertJson"},"334":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_insertXml.htm",a:"The insertXml method inserts XML metadata into the document. When called on a LuaField, the insertXml method inserts the fields as children of the LuaField. Syntax insertXml ( node ) Arguments Argument Description node (LuaXmlNode) The node to insert. Returns (LuaField). A LuaField object of the ...",t:"insertXml"},"335":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_insertXmlWithoutRoot.htm",a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ...",t:"insertXmlWithoutRoot"},"336":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_name.htm",a:"name The name method returns the name of the field object. Syntax name() Returns (String). The name of the field object.",t:"name"},"337":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_renameField.htm",a:"The renameField method renames a sub field. Syntax renameField( oldname, newname [, case] ) Arguments Argument Description oldname (string) The previous name of the field. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the oldname argument is case ...",t:"renameField"},"338":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_setAttributeValue.htm",a:"setAttributeValue The setAttributeValue method sets the value for the specified attribute of the field. Syntax setAttributeValue( attribute, value ) Arguments Argument Description attribute (string) The name of the attribute to set. value (string) The value to set.",t:"setAttributeValue"},"339":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_setValue.htm",a:"setValue The setValue method sets the value of the field. Syntax setValue( value ) Arguments Argument Description value (string) The value to set.",t:"setValue"},"340":{i:0.000610598024074153,u:"../Content/Lua/LuaField/_LUA_value.htm",a:"value The value method returns the value of the field object. Syntax value() Returns (String). The value of the field object.",t:"value"},"341":{i:0.00077778849787232,u:"../Content/Lua/LuaHttpRequest/_LUA__LuaHttpRequest.htm",a:"This section describes the methods provided by LuaHttpRequest objects. If you have a LuaHttpRequest object called request you can call its methods using the \u0027:\u0027 operator. For example: request:send() Constructor Description LuaHttpRequest:new The constructor for a LuaHttpRequest object (creates a new ...",t:"LuaHttpRequest Methods"},"342":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_LuaHttpRequest_new.htm",a:"The constructor for a LuaHttpRequest object (creates a new LuaHttpRequest). Syntax LuaHttpRequest:new( config, section ) Arguments Argument Description config (LuaConfig) The LuaConfig object that contains the settings for sending the HTTP request. To obtain a LuaConfig object, see the function  ...",t:"LuaHttpRequest:new"},"343":{i:0.000860428850511176,u:"../Content/Lua/LuaHttpRequest/_LUA_send.htm",a:"The send method sends the HTTP request. Syntax send() Returns (LuaHttpResponse). A  LuaHttpResponse  object. The send method can throw an exception if the request fails. You can catch an exception by calling the method  using the Lua function pcall. Example The following example shows how to send a ...",t:"send"},"344":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_set_body.htm",a:"set_body The set_body method sets the body of the HTTP request. Syntax set_body( body ) Arguments Argument Description body (string or nil) The body of the HTTP request.",t:"set_body"},"345":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_set_config.htm",a:"The set_config method specifies settings to use for sending the HTTP request (in the form of a section from a configuration file). For example, you can specify the proxy server to use by setting the parameters ProxyHost and ProxyPort, or specify the SSL version to use by setting SSLMethod. Syntax ...",t:"set_config"},"346":{i:0.00124534923649259,u:"../Content/Lua/LuaHttpRequest/_LUA_set_header.htm",a:"The set_header method adds a header to the HTTP request. Syntax set_header( name, value ) Arguments Argument Description name (string) The name of the HTTP header to add to the request. value (string or nil) The value of the HTTP header to add to the request. Example request:set_header(\"X-EXAMPLE\", ...",t:"set_header"},"347":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_set_headers.htm",a:"The set_headers method replaces all headers in the HTTP request with new headers. To add a header without changing existing headers, use the method  set_header . Syntax set_headers( headers ) Arguments Argument Description headers (table) The new HTTP headers to add to the request. The table must ...",t:"set_headers"},"348":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_set_method.htm",a:"set_method Specifies the HTTP request method to use when sending the request, for example GET or POST.  Syntax set_method( method ) Arguments Argument Description method (string) The HTTP request method to use. Example request:set_method(\"POST\")",t:"set_method"},"349":{i:0.000673160617545163,u:"../Content/Lua/LuaHttpRequest/_LUA_set_url.htm",a:"set_url The set_url method sets the URL that you want to send the HTTP request to. Syntax set_url( url ) Arguments Argument Description url (string) The URL to send the request to. Example request:set_url(\"https://www.example.com/\")",t:"set_url"},"350":{i:0.0013218877257684,u:"../Content/Lua/LuaHttpResponse/_LUA__LuaHttpResponse.htm",a:"This section describes the methods provided by LuaHttpResponse objects. A LuaHttpResponse object is provided when you send an HTTP request using the  send  method on a  LuaHttpRequest  object. If you have a LuaHttpResponse object called response you can call its methods using the \u0027:\u0027 operator. For ...",t:"LuaHttpResponse Methods"},"351":{i:0.00077778849787232,u:"../Content/Lua/LuaHttpResponse/_LUA_get_body.htm",a:"get_body The get_body method returns the body of the HTTP response. Syntax get_body() Returns (String). The body of the HTTP response.",t:"get_body"},"352":{i:0.00077778849787232,u:"../Content/Lua/LuaHttpResponse/_LUA_get_header.htm",a:"get_header The get_header method returns the value of a specified HTTP header. Syntax get_header( name ) Arguments Argument Description name (string) The name of the HTTP header for which you want to get the value. Returns (String). The value of the header.",t:"get_header"},"353":{i:0.00077778849787232,u:"../Content/Lua/LuaHttpResponse/_LUA_get_headers.htm",a:"The get_headers method returns the names and values of all of the headers in the HTTP response. Syntax get_headers() Returns (table) A table that maps header names to values. Example The following example sends an HTTP request and then prints the headers that are returned to the console: local ...",t:"get_headers"},"354":{i:0.00077778849787232,u:"../Content/Lua/LuaHttpResponse/_LUA_get_http_code.htm",a:"get_http_code The get_http_code method returns the HTTP response code for the request. Syntax get_http_code() Returns (number). The response code, for example 200 for success, or 404 for not found.",t:"get_http_code"},"355":{i:0.00330902753689096,u:"../Content/Lua/LuaJsonArray/_LUA__LuaJsonArray.htm",a:"A LuaJsonArray object represents a JSON array. If you have a LuaJsonArray object called myJsonArray you can call its methods using the \u0027:\u0027 operator. For example: myJsonArray:size() Constructor Description LuaJsonArray:new The constructor for a LuaJsonArray object (creates a new LuaJsonArray). Method ...",t:"LuaJsonArray Methods"},"356":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_LuaJsonArray_new.htm",a:"The constructor for a LuaJsonArray object (creates a new LuaJsonArray). Syntax LuaJsonArray:new( values ) Arguments Argument Description values (lua_json_type) The values to add to the array. Each value can be a Boolean, float, integer, string,  LuaJsonArray ,  LuaJsonObject ,  LuaJsonValue , or ...",t:"LuaJsonArray:new"},"357":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_append.htm",a:"The append method appends a value to the JSON array. Syntax append( value ) Arguments Argument Description value (lua_json_type) The value to append to the array. This can be a  Boolean, float, integer, string,  LuaJsonArray ,  LuaJsonObject ,  LuaJsonValue , or nil. Example local myJsonArray = ...",t:"append"},"358":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_clear.htm",a:"clear The clear method clears the array, so that it contains no values. Syntax clear() Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nmyJsonArray:clear()\nprint (myJsonArray:string())\n-- []",t:"clear"},"359":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_copy.htm",a:"The copy method returns a copy of the array. Modifying the copy does not modify the original array. Syntax copy() Returns (LuaJsonArray). A copy of the array. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nlocal anotherJsonArray = myJsonArray:copy()\nprint ...",t:"copy"},"360":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_empty.htm",a:"The empty method checks whether the JSON array is empty. Syntax empty() Returns (Boolean). Returns true if the array is empty. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\n\nprint (\"Is the array empty?  \" , myJsonArray:empty() )\n-- Is the array empty?   ...",t:"empty"},"361":{i:0.0054987719754773,u:"../Content/Lua/LuaJsonArray/_LUA_exists.htm",a:"The exists method checks whether a specified path exists in the JSON array. Syntax exists( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path to check. Specify one or more path elements, which might be object attribute names (strings) or array indexes ...",t:"exists"},"362":{i:0.0054987719754773,u:"../Content/Lua/LuaJsonArray/_LUA_existsByPath.htm",a:"The existsByPath method checks whether a specified path exists in the JSON array. Syntax existsByPath( path ) Arguments Argument Description path (string) The path to check. Construct the path from array indexes and object attribute names, and use a slash (/) as the separator. If an object attribute ...",t:"existsByPath"},"363":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_ipairs.htm",a:"The ipairs method returns a function that you can use with a for loop to iterate over all of the values in the array. Syntax ipairs() Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\n\nfor i, v in myJsonArray:ipairs() do\n  print (v:string())\nend\n\n-- prints the following...\n-- 4\n-- a ...",t:"ipairs"},"364":{i:0.0054987719754773,u:"../Content/Lua/LuaJsonArray/_LUA_lookup.htm",a:"The lookup method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original array. Syntax lookup( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path of ...",t:"lookup"},"365":{i:0.0054987719754773,u:"../Content/Lua/LuaJsonArray/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original array. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"366":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_size.htm",a:"size The size method returns the size of the JSON array. Syntax size() Returns (integer). The number of values in the array. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nprint (\"Array size is \" , myJsonArray:size() )\n-- Array size is 3",t:"size"},"367":{i:0.000824910797825598,u:"../Content/Lua/LuaJsonArray/_LUA_string.htm",a:"The string method returns the JSON array as a string. Syntax string() Returns (String). The array as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal myJsonArray = LuaJsonArray:new(\"zero\",1,2,myJsonObject)\n\nprint (myJsonArray:string())\n-- ...",t:"string"},"368":{i:0.00330902753689096,u:"../Content/Lua/LuaJsonObject/_LUA__LuaJsonObject.htm",a:"A LuaJsonObject object represents a JSON object. If you have a LuaJsonObject object called object you can call its methods using the \u0027:\u0027 operator. For example: object:size() Constructor Description LuaJsonObject:new The constructor for a LuaJsonObject object (creates a new LuaJsonObject). Method ...",t:"LuaJsonObject Methods"},"369":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_LuaJsonObject_new.htm",a:"The constructor for a LuaJsonObject object (creates a new LuaJsonObject). If you do not specify any attributes to assign to the object (by omitting the attributes argument), an empty object is created. Syntax LuaJsonObject:new( [attributes] ) Arguments Argument Description attributes ...",t:"LuaJsonObject:new"},"370":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_assign.htm",a:"The assign method adds an attribute (a name/value pair) to the object. Syntax assign (name, value) Arguments Argument Description name (string) The name of the attribute to add. value (lua_json_type) The value of the attribute to add. This can be a Boolean, float, integer, string,  LuaJsonArray ,  ...",t:"assign"},"371":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_assign2.htm",a:"The assign method adds a table of attributes (name/value pairs) to the object. Syntax assign (attributes) Arguments Argument Description attributes (lua_json_object_type) The table of attributes to add. The keys in the table must be strings which specify the names of the attributes to add. Each ...",t:"assign"},"372":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_clear.htm",a:"clear The clear method clears the object, so that it contains no attributes (name/value pairs). Syntax clear() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:clear()\nprint (myJsonObject:string())\n-- {}",t:"clear"},"373":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_copy.htm",a:"The copy method returns a copy of the JSON object. Modifying the copy does not modify the original object. Syntax copy() Returns (LuaJsonObject). A copy of the object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal anotherJsonObject = ...",t:"copy"},"374":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_empty.htm",a:"empty The empty method determines whether the JSON object is empty. Syntax empty() Returns (Boolean). Returns true if the object has no attributes (name/value pairs). Example local myJsonObject = LuaJsonObject:new()\nprint(myJsonObject:empty())\n-- true\n",t:"empty"},"375":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_erase.htm",a:"The erase method removes a specified attribute (name/value pair) from the JSON object. Syntax erase( name ) Arguments Argument Description name (string) The name of the attribute to erase. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } ...",t:"erase"},"376":{i:0.00527557754937099,u:"../Content/Lua/LuaJsonObject/_LUA_exists.htm",a:"The exists method checks whether a specified path exists in the JSON object. Syntax exists( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path to check. Specify one or more path elements, which might be object attribute names (strings) or array indexes ...",t:"exists"},"377":{i:0.00527557754937099,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Argument Description path (string) The path to check. Construct the path from array indexes and object attribute names, and use a slash (/) as the separator. If an object ...",t:"existsByPath"},"378":{i:0.00527557754937099,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path ...",t:"lookup"},"379":{i:0.00527557754937099,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"380":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ...",t:"pairs"},"381":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2",t:"size"},"382":{i:0.000791426435979985,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}",t:"string"},});