define({"383":{i:0.00277069439358753,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Constructor Description LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). ...",t:"LuaJsonValue Methods"},"384":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",a:"The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Argument Description value (lua_json_type) The initial value. This can be a  Boolean, float, integer, string,  LuaJsonArray ,  LuaJsonObject ,  LuaJsonValue , or nil. Returns ...",t:"LuaJsonValue:new"},"385":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ...",t:"array"},"386":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value.",t:"copy"},"387":{i:0.00476263183315247,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path to check. Specify one or more path elements, which might be object attribute names (strings) or array indexes ...",t:"exists"},"388":{i:0.00476263183315247,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Argument Description path (string) The path to check. Construct the path from array indexes and object attribute names, and use a slash (/) as the separator. If an object ...",t:"existsByPath"},"389":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise.",t:"is_array"},"390":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise.",t:"is_boolean"},"391":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise.",t:"is_float"},"392":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise.",t:"is_integer"},"393":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise.",t:"is_null"},"394":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise.",t:"is_number"},"395":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise.",t:"is_object"},"396":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise.",t:"is_simple_value"},"397":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise.",t:"is_string"},"398":{i:0.00476263183315247,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path of ...",t:"lookup"},"399":{i:0.00476263183315247,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"400":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ...",t:"object"},"401":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n",t:"string"},"402":{i:0.000714472966062416,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Argument Description default ...",t:"value"},"403":{i:0.00433924734694629,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",a:"A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message) Method Description ...",t:"LuaLog Methods"},"404":{i:0.00243471253204238,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Argument Description level The log level for the message. The message only appears in the log if the log level specified here is the same as, or higher than, the log level set for the log stream. ...",t:"write_line"},"405":{i:0.000783544301768838,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Constructor Description LuaLogService:new The ...",t:"LuaLogService Methods"},"406":{i:0.000923527863362004,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the Answer Server configuration file. Instead use the same log service as Answer Server, by calling  get_log_service , or obtain a LuaLog ...",t:"LuaLogService:new"},"407":{i:0.000923527863362004,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",a:"The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Argument Description type (string) The log type. Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a ...",t:"get_log"},"408":{i:0.000590520264906306,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ...",t:"LuaRegexMatch Methods"},"409":{i:0.000690909060745543,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",a:"The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the length of, starting at 1 for the first sub match. With ...",t:"length"},"410":{i:0.000690909060745543,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one.",t:"next"},"411":{i:0.000690909060745543,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Argument Description submatch (number) ...",t:"position"},"412":{i:0.000690909060745543,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match.",t:"size"},"413":{i:0.000690909060745543,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",a:"The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the value of, starting at 1 ...",t:"str"},"414":{i:0.000854825198785636,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ...",t:"LuaXmlDocument Methods"},"415":{i:0.000735841095001246,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object.",t:"root"},"416":{i:0.000735841095001246,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Argument Description xpathQuery (string) The xpath query to run. Returns (LuaXmlNodeSet). A LuaXmlNodeSet object.",t:"XPathExecute"},"417":{i:0.000735841095001246,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",a:"The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Argument Description prefix (string) The namespace prefix. location (string) The namespace location. Returns (Boolean). True if successful, False in case of error.",t:"XPathRegisterNs"},"418":{i:0.000735841095001246,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Argument Description query (string) The XPath query to use. Returns (String). A string of the value.",t:"XPathValue"},"419":{i:0.000735841095001246,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Argument Description query (string) The XPath query to use. Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with ...",t:"XPathValues"},"420":{i:0.000590520264906306,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",a:"A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size() Method Description at Returns the LuaXmlNode at position pos in the set. size Returns size of node set.",t:"LuaXmlNodeSet Methods"},"421":{i:0.000841492254504399,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Argument Description position (number) The index of the item in the array to get.\n                     Returns (LuaXmlNode).",t:"at"},"422":{i:0.000841492254504399,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set.",t:"size"},"423":{i:0.000590520264906306,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",a:"A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name() Method Description attr Returns the first LuaXmlAttribute attribute object for this element. content Returns the ...",t:"LuaXmlNode Methods"},"424":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",a:"The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Argument Description name (string) The name of the LuaXmlAttribute ...",t:"attr"},"425":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content.",t:"content"},"426":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode).",t:"firstChild"},"427":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode).",t:"lastChild"},"428":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name.",t:"name"},"429":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode).",t:"next"},"430":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path.",t:"nodePath"},"431":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode).",t:"parent"},"432":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode).",t:"prev"},"433":{i:0.000640714662825925,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ...",t:"type"},"434":{i:0.000590520264906306,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",a:"A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name() Method Description name Returns the name of this attribute. next Returns a LuaXmlAttribute object ...",t:"LuaXmlAttribute Methods"},"435":{i:0.000716006259705353,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute.",t:"name"},"436":{i:0.000716006259705353,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute).",t:"next"},"437":{i:0.000716006259705353,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute).",t:"prev"},"438":{i:0.000716006259705353,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute.",t:"value"},"439":{i:0.000590520264906306,u:"../Content/AnswerServerLua/AnswerServerLua.htm",a:"This section describes the functions and methods that you can use in your Lua scripts that are specific to Answer Server. For information about the uses for your Lua scripts, and setting up debugging in Lua, refer to the  Answer Server Administration Guide.",t:"Answer Server Lua Functions and Methods Reference"},"440":{i:0.000590520264906306,u:"../Content/AnswerServerLua/ConversationLua.htm",a:"Conversation Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts as part of your conversation tasks (see  TaskConfigurationFile ). ",t:"Conversation Lua Functions and Methods Reference"},"441":{i:0.00119912779835239,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingRule_Methods.htm",a:"A LuaConditionalRoutingRule object is a conditional routing that maps some input text to a destination task.  If you have a LuaConditionalRoutingRule object, you can call its methods by using the \u0027:\u0027 operator. For example: routingRule:getMatch() Constructor Description LuaConditionalRoutingRule:new ...",t:"LuaConditionalRoutingRule Methods"},"442":{i:0.000930274497714809,u:"../Content/AnswerServerLua/Conversation/getMatch.htm",a:"The getMatch method gets the input text part of a conditional routing rule from a LuaConditionalRoutingRule object. A LuaConditionalRoutingRule object is a conditional routing rule, with input text and the task to route to.  Syntax getMatch() Returns (strings) The input text from the rule. Example ...",t:"getMatch"},"443":{i:0.000930274497714809,u:"../Content/AnswerServerLua/Conversation/getRouting.htm",a:"The getRouting method gets the task ID part of a conditional routing rule from a LuaConditionalRoutingRule object. A LuaConditionalRoutingRule object is a conditional routing rule, with input text and the task to route to.  Syntax getRouting() Returns (strings) The ID of the task to route to. ...",t:"getRouting"},"444":{i:0.00153888203116089,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingRule_new.htm",a:"The constructor for a LuaConditionalRoutingRule object (creates a new LuaConditionalRoutingRule object). A LuaConditionalRoutingRule object is a conditional routing that maps some user input to a destination task.  Syntax new(input_text, task_ID) Arguments Argument Description input_text (string) ...",t:"LuaConditionalRoutingRule:new"},"445":{i:0.000590520264906306,u:"../Content/AnswerServerLua/Conversation/LuaConditionalRoutingTable_Methods.htm",a:"A LuaConditionalRoutingTable object is a table of conditional routing rules and prompts.  If you have a LuaConditionalRoutingTable object, you can call its methods by using the \u0027:\u0027 operator. For example: routingTable:getPrompt() Method Description getPrompt Retrieves the current prompt text. ...",t:"LuaConditionalRoutingTable Methods"},"446":{i:0.000716006259705353,u:"../Content/AnswerServerLua/Conversation/getPrompt_routingTable.htm",a:"The getPrompt method gets the prompt part of a routingTable object. A routingTable object is a prompt string, and an array of LuaConditionalRoutingRules objects, which map some input text to a task.  In the case of a disambiguation Lua script, the prompt is initially the configured disambiguation ...",t:"getPrompt"},"447":{i:0.000716006259705353,u:"../Content/AnswerServerLua/Conversation/getRules.htm",a:"The getRules method gets the current array of conditional routing rules to use for the current task after the Lua function completes. A conditional routing rule is defined by a LuaConditionalRoutingRule object  (see  LuaConditionalRoutingRule Methods ). Syntax getRules() Returns (array) An array of ...",t:"getRules"},"448":{i:0.000590520264906306,u:"../Content/AnswerServerLua/Conversation/setPrompt.htm",a:"The setPrompt method sets a text prompt to return in the current conversation task after the script is complete. This prompt replaces any existing prompts. Syntax setPrompt( new_prompt ) Arguments Argument Description new_ prompt (string) The prompt text that you want to return after the script ...",t:"setPrompt"},"449":{i:0.000716006259705353,u:"../Content/AnswerServerLua/Conversation/setRules.htm",a:"The setRules method sets an array of LuaConditionalRoutingRule objects  to use to route the user to the appropriate task after the script is complete. This rule replaces any existing rules. You create a LuaConditionalRoutingRule object by using the  LuaConditionalRoutingRule:new  constructor. Syntax ...",t:"setRules"},"450":{i:0.00183440122036095,u:"../Content/AnswerServerLua/Conversation/LuaUserPrompt_Methods.htm",a:"A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  If you have a LuaUserPrompt object, you can call its methods by using the \u0027:\u0027 operator. For example: LuaUserPrompt:getPrompt() Constructor Description LuaUserPrompt:new Constructs a new user prompt. Method ...",t:"LuaUserPrompt Methods"},"451":{i:0.000980332150709371,u:"../Content/AnswerServerLua/Conversation/getChoices.htm",a:"The getChoices method gets the valid_choices part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getChoices() Returns (strings) The valid choices for the prompt. Example local choices = ...",t:"getChoices"},"452":{i:0.000980332150709371,u:"../Content/AnswerServerLua/Conversation/getPrompt.htm",a:"getPrompt The getPrompt method gets the text part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getPrompt() Returns (string) The prompt text. Example local text = LuaUserPrompt:getPrompt()",t:"getPrompt"},"453":{i:0.000980332150709371,u:"../Content/AnswerServerLua/Conversation/getSuggestions.htm",a:"The getSuggestions method gets the suggestions part of a prompt from a LuaUserPrompt object. A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax getSuggestions() Returns (strings) The suggestions for the prompt. Example local choices = ...",t:"getSuggestions"},"454":{i:0.00161560557271793,u:"../Content/AnswerServerLua/Conversation/LuaUserPrompt_new.htm",a:"The constructor for a LuaUserPrompt object (creates a new LuaUserPrompt object). A LuaUserPrompt object is a prompt string, with optional metadata, to return to the user.  Syntax new(text, valid_choices, suggestions) Arguments Argument Description text (string) The main text to use in the new ...",t:"LuaUserPrompt:new"},"455":{i:0.000590520264906306,u:"../Content/AnswerServerLua/Conversation/TaskUtils_Methods.htm",a:"A TaskUtils object is an operation to perform with a conversation task. This object is the input to the function that you use for your conversation task (you specify the function to use in your task configuration JSON file).  If you have a TaskUtils object, you can call its methods by using the \u0027:\u0027 ...",t:"TaskUtils Methods"},"456":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/ask.htm",a:"The ask method sends a question to the specified answer systems in an  Ask  action.  Syntax ask(question, systems, maxresults, disambiguation) Arguments Argument Description question (string) The question that you want to ask.  systems (string) A table that contains a list of systems that you want ...",t:"ask"},"457":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/deleteAllSessionVars.htm",a:"The deleteAllSessionVars method deletes all session variables that have been set in the current conversation session. If you delete a session variable, and the current conversation task has a requirement to set the variable, the conversation task asks the user to provide a new value for the ...",t:"deleteAllSessionVars"},"458":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/deleteAllTaskVars.htm",a:"deleteAllTaskVars The deleteAllTaskVars method deletes all task variables that have been set in the current task. If you delete variables during a task, the conversation task asks the user to provide a new value for the variables. Syntax deleteAllTaskVars()",t:"deleteAllTaskVars"},"459":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/deleteSessionVar.htm",a:"The deleteSessionVar method deletes a specified session variable, if it exists. If you delete a session variable, and the current conversation task has a requirement to set the variable, the conversation task asks the user to provide a new value for the variable. If the current conversation task ...",t:"deleteSessionVar"},"460":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/deleteTaskVar.htm",a:"The deleteTaskVar method deletes a specified task variable, if it exists. If you delete a variable during a task, the conversation task asks the user to provide a new value for the variable. Syntax deleteTaskVar ( key ) Arguments Argument Description key (string) The ID of the task variable whose ...",t:"deleteTaskVar"},"461":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/getPrompts.htm",a:"The getPrompts method gets the current table of prompts that the conversation task will return after the Lua function completes. A prompt is defined by a LuaUserPrompt object  (see  LuaUserPrompt Methods ). Syntax getPrompts() Returns (list) A list of LuaUserPrompt objects. Example local prompt1 = ...",t:"getPrompts"},"462":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/getSessionVar.htm",a:"The getSessionVar method gets the value of a conversation session variable.  You define session variables in your task configuration JSON file, by creating a task requirement with the scope property set to session. Syntax getSessionVar( key ) Arguments Argument Description key (string) The ID of the ...",t:"getSessionVar"},"463":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/getTaskId.htm",a:"getTaskId The getTaskId method gets the ID of the current task as a string. Syntax getTaskId() Returns (strings) The ID of the current task.",t:"getTaskId"},"464":{i:0.000621891763606068,u:"../Content/AnswerServerLua/Conversation/getTaskVar.htm",a:"The getTaskVar method gets the value of a conversation task variable.  You define task variables in your task configuration JSON file, by creating a task requirement with the scope property set to local (the default). Syntax getTaskVar ( key ) Arguments Argument Description key (string) The ID of ...",t:"getTaskVar"},"465":{i:0.000590520264906306,u:"../Content/AnswerServerLua/Conversation/getTranscript.htm",a:"The getTranscript method gets an enumerated table of history stage objects, which record the user input and Answer Server responses for the current conversation session. Syntax getTranscript() Returns (table) An enumerated table of history stage objects. Each stage contains the user text and Answer ...",t:"getTranscript"},});